output "ubuntu_ami" {
  value = data.aws_ami.ubuntu
  description = "AMI selected to build instance from"
}

output "private_key" {
  value = tls_private_key.ssh_key.private_key_pem
  description = "SSH Private Key (PEM format)"
  sensitive = true
}

output "public_key" {
  value = tls_private_key.ssh_key.public_key_openssh
  description = "SSH Public Key (OpenSSH format)"
}

output "ubuntu_instance_public_ip" {
  value = aws_instance.ubuntu_instance.public_ip
}

output "ssh_public_key" {
  value = var.SSH_PUBLIC_KEY
}
